You are not logged in.

#1 2012-11-19 12:15:10

rnarch
Member
Registered: 2012-03-17
Posts: 292

xoscope on Arch vs linux mint [SOLVED]

I installed xoscope from AUR (https://aur.archlinux.org/packages/xoscope/) and the application ran well. From title and PKGBUILD file it is pkgver=2.0, pkgrel=4.  Out of curosity I installed the same program in linux mint also. The deb file installed is named xoscope_2.0-3.1ubuntu2.1_i386.deb and it seems to be actually one release older than the one in Arch AUR.  But it has a different (and better) screen format than the one in Arch (different version, not any screen resolution problem). Is it possible to have the that version installed on Arch. I checked the website of the application (http://xoscope.sourceforge.net/) and the latest available for download is version 2.0 only (http://prdownloads.sourceforge.net/xosc … pe-2.0.tgz). I checked in some posts regarding installing deb files in Arch and it does not seem to be a good idea. Any help will be appreciated.

Last edited by rnarch (2012-11-21 17:07:47)

Offline

#2 2012-11-19 12:21:21

Trilby
Forum Moderator
From: Massachusetts, USA
Registered: 2011-11-29
Posts: 14,814
Website

Re: xoscope on Arch vs linux mint [SOLVED]

Package releases cannot be compared between distros ... in any way.

Release numbers also have absolutely nothing to do with the upstream source - upstream has no release numbers.

2.0 is the current version.  The aur maintainer and the mint devs have each made a number of fixes or patches to the packaging of the 2.0 version.  It is not likely that the 3 patches made on the AUR package and the 2 patches made on the mint .deb are related in any way.

So the mint package is not "older" than the one in the AUR.  It is simply different.  It is a "cousin" of the aur package, not an ancestor nor descendent.

If you want to get some of the qualities of the mint package, then look into the patches the mint devs have applied and try to make them work with the AUR version.


InterrobangSlider
• How's my coding? See this page.
• How's my moderating? Feel free to email any concerns, complaints, or objections.

Offline

#3 2012-11-19 17:33:56

rnarch
Member
Registered: 2012-03-17
Posts: 292

Re: xoscope on Arch vs linux mint [SOLVED]

Thanks for a clear explanation.  I read other posts regarding making a PKGBUILD to install deb files and also checked PKGBUILD files of some packages in AUR.  Will following modification of xoscope PKGBUILD work to make a pacman-installable package from the deb file of xoscope?

# Contributor: Vladimir Cerny <blackvladimir@gmail.com>
pkgname=xoscope
pkgver=2.0
pkgrel=4
pkgdesc="A digital oscilloscope using input from a sound card or EsounD and/or a ProbeScope/osziFOX."
arch=("i686" "x86_64")
url="http://xoscope.sourceforge.net/"
license=('GPL')
depends=('gtk2')
install=
source=(xoscope_2.0-3.1ubuntu3_i386.deb)
noextract=()

build() {
   ar x xoscope_2.0-3.1ubuntu3_i386.deb
   mkdir -p xoscope-temp
   tar xf data.tar.gz -C xoscope-temp
   cp -r xoscope-temp/* $pkgdir
   rm -rf control.tar.gz data.tar.gz debian-binary
}

#OR: 
package() {
    cd "$srcdir"
    for i in *deb; do
        ar xv "$i" data.tar.gz
        mv data.tar.gz "$i-data.tar.gz"
    done

    cd "$pkgdir"
    for i in "$srcdir"/*-data.tar.gz; do
        tar -xzf "$i"
    done
}

I am not sure whether to use build() or package().  Thanks for your help.

Last edited by rnarch (2012-11-19 17:37:43)

Offline

#4 2012-11-19 17:45:50

Trilby
Forum Moderator
From: Massachusetts, USA
Registered: 2011-11-29
Posts: 14,814
Website

Re: xoscope on Arch vs linux mint [SOLVED]

I've never converted a .deb, so I can't comment on the exact commands.  But these should go in package() not build() as nothing is being built.


InterrobangSlider
• How's my coding? See this page.
• How's my moderating? Feel free to email any concerns, complaints, or objections.

Offline

#5 2012-11-19 17:54:59

tomk
Forum Fellow
From: Ireland
Registered: 2004-07-21
Posts: 9,839

Re: xoscope on Arch vs linux mint [SOLVED]

You should avoid using debs (or rpms, or any other alien package format) in Arch unless there is absolutely no other choice.

Trilby has already given you the best advice:

Trilby wrote:

If you want to get some of the qualities of the mint package, then look into the patches the mint devs have applied and try to make them work with the AUR version.

So do that.

Offline

#6 2012-11-20 11:42:56

rnarch
Member
Registered: 2012-03-17
Posts: 292

Re: xoscope on Arch vs linux mint [SOLVED]

I found that both versions of code (kept in package() function) work. However, the application does not run. Following error is there:

xoscope: error while loading shared libraries: libcomedi.so.0: cannot open shared object file: No such file or directory

proving the point that one should not use deb files.

However, I could not find linux mint patch files for xoscope on google.

Offline

#7 2012-11-20 12:01:41

Trilby
Forum Moderator
From: Massachusetts, USA
Registered: 2011-11-29
Posts: 14,814
Website

Re: xoscope on Arch vs linux mint [SOLVED]

rnarch wrote:

...proving the point that one should not use deb files.

No, that just 'proves' that when one is repackaging software they need to know something about the dependencies and ensure they are listed.  Comedi is in the AUR.

Not that I'm saying converting a .deb is a good idea - it's a bad idea.  But this error is because of a different problem - you need to ensure dependencies are listed in the PKGBUILD.


InterrobangSlider
• How's my coding? See this page.
• How's my moderating? Feel free to email any concerns, complaints, or objections.

Offline

#8 2012-11-20 12:07:38

illusionist
Member
From: localhost
Registered: 2012-04-03
Posts: 498

Re: xoscope on Arch vs linux mint [SOLVED]

Here is the source. ( Since mint is an ubuntu derivative , it does not matter. )
http://packages.ubuntu.com/source/preci … es/xoscope


  Never argue with stupid people,They will drag you down to their level and then beat you with experience.--Mark Twain
@github

Offline

#9 2012-11-20 16:41:30

rnarch
Member
Registered: 2012-03-17
Posts: 292

Re: xoscope on Arch vs linux mint [SOLVED]

Thanks.

Offline

#10 2012-11-21 12:14:01

rnarch
Member
Registered: 2012-03-17
Posts: 292

Re: xoscope on Arch vs linux mint [SOLVED]

Is there any simple way to use patch files available on ubuntu site (http://packages.ubuntu.com/source/preci … es/xoscope) to install xoscope on Archlinux ?

Offline

#11 2012-11-21 12:33:16

Trilby
Forum Moderator
From: Massachusetts, USA
Registered: 2011-11-29
Posts: 14,814
Website

Re: xoscope on Arch vs linux mint [SOLVED]

What does that even mean?  Do they not compile?  Do they not run?

How to patch: `man patch`, but I gather that is not your actual question.

Given the change in dependencies between the current AUR package and the Mint package, I suspect the most relevant difference between the two is in the optional parameters passed to "configure" during the build process.


InterrobangSlider
• How's my coding? See this page.
• How's my moderating? Feel free to email any concerns, complaints, or objections.

Offline

#12 2012-11-21 12:35:27

illusionist
Member
From: localhost
Registered: 2012-04-03
Posts: 498

Re: xoscope on Arch vs linux mint [SOLVED]

What is the problem you are having ?
The only easiest way would be to make a PKGBUILD.


  Never argue with stupid people,They will drag you down to their level and then beat you with experience.--Mark Twain
@github

Offline

#13 2012-11-21 13:45:07

rnarch
Member
Registered: 2012-03-17
Posts: 292

Re: xoscope on Arch vs linux mint [SOLVED]

I am sorry for asking simple questions, but I am not a computer expert. I want to install ubuntu version of xoscope in Archlinux. I gather there are 2 ways: to install from deb files with all dependencies (as discussed earlier) or to make a PKGBUILD using patch and proper configure parameters and build the package. The first one seems simpler to me. I tried to find packages with dependencies listed on ubuntu page (http://packages.ubuntu.com/source/preci … es/xoscope). However, I could find only comedi and quilt packages. Pkgfile also does not show packages for most of these.

Offline

#14 2012-11-21 14:43:59

Trilby
Forum Moderator
From: Massachusetts, USA
Registered: 2011-11-29
Posts: 14,814
Website

Re: xoscope on Arch vs linux mint [SOLVED]

pacman -Ss quilt shows that it is in community, and I already had posted that comedi is in the  AUR.


InterrobangSlider
• How's my coding? See this page.
• How's my moderating? Feel free to email any concerns, complaints, or objections.

Offline

#15 2012-11-21 14:52:49

rnarch
Member
Registered: 2012-03-17
Posts: 292

Re: xoscope on Arch vs linux mint [SOLVED]

Which packages contain cdbs, debhelper (do I need these for Arch?), autotools-dev and libesd0-dev ?

Offline

#16 2012-11-21 16:40:57

jasonwryan
Anarchist
From: .nz
Registered: 2009-05-09
Posts: 20,133
Website

Re: xoscope on Arch vs linux mint [SOLVED]

rnarch wrote:

Which packages contain cdbs, debhelper (do I need these for Arch?), autotools-dev and libesd0-dev ?

There is a difference between asking for help with something and expecting to be spoon fed: this thread has just toppled into the latter category.

Please don't be a help vampire.


Arch + dwm   •   Mercurial repos  •   Github

Registered Linux User #482438

Offline

#17 2012-11-21 17:07:30

rnarch
Member
Registered: 2012-03-17
Posts: 292

Re: xoscope on Arch vs linux mint [SOLVED]

I am marking this thread as solved. Thanks for your help.

Offline

Board footer

Powered by FluxBB